Skip to Content
KnowaKYC
KYB API

KYB API reference

API status. The KYB Tenant API is in beta. Endpoints, data formats, and API versions may change. Track documentation updates.

Base URL: /tenant/v1/kyb/

Authentication: HMAC-SHA256 with a KYB key (kyb_live_* or kyb_test_*). The signing scheme matches KYC — see Authentication. Specification: Swagger UI, openapi3.json.


Businesses

List businesses

GET
/v1/kyb/businesses

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Query Parameters

page?integer

Page (1-based, default 1)

page_size?integer

Page size (1-100, default 50)

status?string

Filter: pending, verified, rejected, review

country?string

Filter by country (ISO 3166-1 alpha-2)

search?string

Search by company name or registration number

registration_number?string

Filter by registration number

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Paginated list of companies

application/json
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://example.com/tenant/v1/kyb/businesses' \  -H 'X-Timestamp: string'
Example Response
{  "data": [    {      "activities": {        "additional": [          "string"        ],        "main": "string"      },      "activities_evidence_sources": [        "string"      ],      "activities_typed": [        {          "code": "string",          "description": "string",          "is_primary": true,          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "name": "string",          "system": "string"        }      ],      "activities_unavailable_reason_info": "string",      "actual_address": "string",      "additional_url": "string",      "additional_url_evidence_sources": [        "string"      ],      "additional_url_unavailable_reason_info": "string",      "addresses_typed": [        {          "address": {            "city": "string",            "country": "string",            "full_text": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "postal_code": "string",            "region": "string",            "street": "string"          },          "type": "string",          "valid_from": "string",          "valid_to": "string"        }      ],      "adverse_media": [        {          "categories": [            "string"          ],          "language": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "published_at": "string",          "severity": "string",          "source": "string",          "summary": "string",          "title": "string",          "url": "string"        }      ],      "ai_analysis": {        "confidence": 0,        "confirmation_flag": true,        "green_flags": [          "string"        ],        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "model_version": "string",        "red_flags": [          "string"        ],        "summary": "string"      },      "ai_confirmation_flag": true,      "ai_notes": "string",      "ai_sources": [        "string"      ],      "ai_summary": "string",      "bankruptcy": {        "case_number": "string",        "court": "string",        "is_bankrupt": true,        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "receiver": "string",        "stage": "string",        "started_at": "string"      },      "beneficiaries": [        {          "country": "string",          "name": "string",          "pep": true,          "share": "string",          "type": "string"        }      ],      "beneficiaries_evidence_sources": [        "string"      ],      "beneficiaries_typed": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "beneficiaries_unavailable_reason_info": "string",      "business_document_key": "string",      "business_document_url": "string",      "business_document_url_expires_at": "string",      "company_name": "string",      "company_status": "string",      "country": "string",      "created_at": "string",      "current_review_decision": {        "client_message": "string",        "created_at": "string",        "decision": "string",        "id": "string",        "reason_codes": [          "string"        ],        "scope": "string",        "session_id": "string",        "step_id": "string"      },      "decision": "string",      "director_evidence_sources": [        "string"      ],      "director_name": "string",      "director_title": "string",      "director_unavailable_reason_info": "string",      "directors": [        {          "name": "string",          "title": "string"        }      ],      "directors_typed": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "enrichment_errors": [        "string"      ],      "evidence_profile": {        "property1": null,        "property2": null      },      "external_id": "string",      "financials": {        "assets": 0,        "authorized_capital": 0,        "currency": "string",        "employee_count": 0,        "employee_date": "string",        "equity": 0,        "fiscal_year": 0,        "liabilities": 0,        "net_profit": 0,        "report_source": "string",        "revenue": 0      },      "id": "string",      "kyb": {        "activities": [          {            "code": "string",            "description": "string",            "is_primary": true          }        ],        "activities_evidence_sources": [          "string"        ],        "activities_typed": [          {            "code": "string",            "description": "string",            "is_primary": true,            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "name": "string",            "system": "string"          }        ],        "activities_unavailable_reason_info": "string",        "actual_address": "string",        "additional_url": "string",        "additional_url_evidence_sources": [          "string"        ],        "additional_url_unavailable_reason_info": "string",        "addresses_typed": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "adverse_media": [          {            "categories": [              "string"            ],            "language": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "published_at": "string",            "severity": "string",            "source": "string",            "summary": "string",            "title": "string",            "url": "string"          }        ],        "ai_analysis": {          "confidence": 0,          "confirmation_flag": true,          "green_flags": [            "string"          ],          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "model_version": "string",          "red_flags": [            "string"          ],          "summary": "string"        },        "bankruptcy": {          "case_number": "string",          "court": "string",          "is_bankrupt": true,          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "receiver": "string",          "stage": "string",          "started_at": "string"        },        "beneficiaries": [          {            "is_director": true,            "name": "string",            "ownership": 0          }        ],        "beneficiaries_evidence_sources": [          "string"        ],        "beneficiaries_typed": [          {            "addresses": [              {                "address": {                  "city": "string",                  "country": "string",                  "full_text": "string",                  "localized": {                    "property1": {                      "property1": "string",                      "property2": "string"                    },                    "property2": {                      "property1": "string",                      "property2": "string"                    }                  },                  "postal_code": "string",                  "region": "string",                  "street": "string"                },                "type": "string",                "valid_from": "string",                "valid_to": "string"              }            ],            "appointed_at": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "id": "string",            "is_pep": true,            "is_sanctioned": true,            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string",            "ownership_pct": 0,            "resigned_at": "string",            "role": "string",            "role_raw": "string",            "tax_id": "string"          }        ],        "beneficiaries_unavailable_reason_info": "string",        "company_aliases": [          "string"        ],        "company_code": "string",        "company_name": "string",        "confirmation_flag": true,        "confirmation_tier": "string",        "consulted_sources": [          "string"        ],        "country": "string",        "decision": "string",        "decision_reason": "string",        "director_evidence_sources": [          "string"        ],        "director_name": "string",        "director_title": "string",        "director_unavailable_reason_info": "string",        "directors_typed": [          {            "addresses": [              {                "address": {                  "city": "string",                  "country": "string",                  "full_text": "string",                  "localized": {                    "property1": {                      "property1": "string",                      "property2": "string"                    },                    "property2": {                      "property1": "string",                      "property2": "string"                    }                  },                  "postal_code": "string",                  "region": "string",                  "street": "string"                },                "type": "string",                "valid_from": "string",                "valid_to": "string"              }            ],            "appointed_at": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "id": "string",            "is_pep": true,            "is_sanctioned": true,            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string",            "ownership_pct": 0,            "resigned_at": "string",            "role": "string",            "role_raw": "string",            "tax_id": "string"          }        ],        "field_evidence": [          {            "confidence": 0,            "declared_value": "string",            "document_source": "string",            "document_value": "string",            "field": "string",            "match_status": "string",            "provider": "string",            "provider_value": "string",            "reason_code": "string",            "severity": "string"          }        ],        "financials": {          "assets": 0,          "authorized_capital": 0,          "currency": "string",          "employee_count": 0,          "employee_date": "string",          "equity": 0,          "fiscal_year": 0,          "liabilities": 0,          "net_profit": 0,          "report_source": "string",          "revenue": 0        },        "incorporation_country": "string",        "incorporation_date": "string",        "legal_address": "string",        "legal_form": "string",        "legal_form_raw": "string",        "lei": "string",        "liquidation_date": "string",        "litigation": [          {            "amount": 0,            "case_number": "string",            "closed_at": "string",            "court": "string",            "currency": "string",            "filed_at": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "role": "string",            "status": "string",            "subject": "string"          }        ],        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "lookup_coverage_tier": "string",        "lookup_next_actions": [          {            "action": "string",            "detail": "string",            "identifiers": [              "string"            ],            "label": "string",            "provider": "string",            "url": "string"          }        ],        "lookup_outcome": {          "auto_approval_eligible": true,          "coverage_tier": "string",          "decision_bias": "string",          "next_actions": [            {              "action": "string",              "detail": "string",              "identifiers": [                "string"              ],              "label": "string",              "provider": "string",              "url": "string"            }          ],          "official_source_count": 0,          "provider_statuses": [            {              "detail": "string",              "provider": "string",              "status": "string"            }          ],          "reason": "string",          "registry_authority_hint": [            "string"          ],          "requires_manual_review": true,          "secondary_source_count": 0        },        "lookup_outcome_reason": "string",        "main_url": "string",        "main_url_evidence_sources": [          "string"        ],        "main_url_unavailable_reason_info": "string",        "notes": "string",        "pep": [          {            "confidence": 0,            "hit_details": {              "additional_information": [                {                  "label": "string",                  "value": "string"                }              ],              "additional_sanctions": [                "string"              ],              "country": "string",              "crypto_wallets": [                "string"              ],              "delisted_at": "string",              "description": "string",              "education": [                "string"              ],              "email_addresses": [                "string"              ],              "last_updated": "string",              "listed_at": "string",              "notes": "string",              "phone_numbers": [                "string"              ],              "position": "string",              "programs": [                "string"              ],              "remarks": "string",              "risk_categories": [                "string"              ],              "source_links": [                "string"              ],              "source_url": "string",              "websites": [                "string"              ]            },            "list_category": "string",            "list_id": "string",            "list_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "match_fields": [              "string"            ],            "match_strength": "string",            "person": {              "aliases": [                "string"              ],              "birth_place": "string",              "citizenship": "string",              "date_of_birth": "string",              "documents": [                {                  "class": "string",                  "country": "string",                  "expiration_date": "string",                  "issue_date": "string",                  "number": "string",                  "type": "string"                }              ],              "first_name": "string",              "full_name": "string",              "gender": "string",              "last_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "middle_name": "string",              "nationality": "string"            },            "provenance": {              "raw_record": {                "property1": null,                "property2": null              },              "vendor_list_id": "string",              "vendor_match_id": "string",              "vendor_source_id": "string"            }          }        ],        "proprietor_name": "string",        "provider_metadata": {          "duration_ms": 0,          "evidence_reuse": {            "execution_id": "string",            "reason": "string",            "recovery_audit_id": "string",            "source_attempt_number": 0,            "source_execution_id": "string",            "source_verification_id": "string"          },          "name": "string",          "raw": {            "property1": null,            "property2": null          },          "raw_response_key": "string",          "received_at": "string",          "request_id": "string",          "version": "string"        },        "provider_statuses": [          {            "detail": "string",            "provider": "string",            "retrieved_at": "string",            "status": "string"          }        ],        "reconciliation_decision": "string",        "reconciliation_reason_codes": [          "string"        ],        "registration_date": "string",        "registration_number": "string",        "registry_facts": [          {            "company_aliases": [              "string"            ],            "company_name": "string",            "confidence": 0,            "country": "string",            "director_names": [              "string"            ],            "incorporation_date": "string",            "legal_address": "string",            "lei": "string",            "provider": "string",            "registration_date": "string",            "registration_number": "string",            "source_retrieved_at": "string",            "source_url": "string",            "status": "string",            "tax_number": "string",            "website": "string"          }        ],        "risk_factors": [          {            "category": "string",            "code": "string",            "description": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "severity": "string",            "weight": 0          }        ],        "risk_level": "string",        "risk_score": 0,        "sanctions": [          {            "confidence": 0,            "hit_details": {              "additional_information": [                {                  "label": "string",                  "value": "string"                }              ],              "additional_sanctions": [                "string"              ],              "country": "string",              "crypto_wallets": [                "string"              ],              "delisted_at": "string",              "description": "string",              "education": [                "string"              ],              "email_addresses": [                "string"              ],              "last_updated": "string",              "listed_at": "string",              "notes": "string",              "phone_numbers": [                "string"              ],              "position": "string",              "programs": [                "string"              ],              "remarks": "string",              "risk_categories": [                "string"              ],              "source_links": [                "string"              ],              "source_url": "string",              "websites": [                "string"              ]            },            "list_category": "string",            "list_id": "string",            "list_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "match_fields": [              "string"            ],            "match_strength": "string",            "person": {              "aliases": [                "string"              ],              "birth_place": "string",              "citizenship": "string",              "date_of_birth": "string",              "documents": [                {                  "class": "string",                  "country": "string",                  "expiration_date": "string",                  "issue_date": "string",                  "number": "string",                  "type": "string"                }              ],              "first_name": "string",              "full_name": "string",              "gender": "string",              "last_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "middle_name": "string",              "nationality": "string"            },            "provenance": {              "raw_record": {                "property1": null,                "property2": null              },              "vendor_list_id": "string",              "vendor_match_id": "string",              "vendor_source_id": "string"            }          }        ],        "shareholders": [          {            "addresses": [              {                "address": {                  "city": "string",                  "country": "string",                  "full_text": "string",                  "localized": {                    "property1": {                      "property1": "string",                      "property2": "string"                    },                    "property2": {                      "property1": "string",                      "property2": "string"                    }                  },                  "postal_code": "string",                  "region": "string",                  "street": "string"                },                "type": "string",                "valid_from": "string",                "valid_to": "string"              }            ],            "appointed_at": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "id": "string",            "is_pep": true,            "is_sanctioned": true,            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string",            "ownership_pct": 0,            "resigned_at": "string",            "role": "string",            "role_raw": "string",            "tax_id": "string"          }        ],        "signatories": [          {            "addresses": [              {                "address": {                  "city": "string",                  "country": "string",                  "full_text": "string",                  "localized": {                    "property1": {                      "property1": "string",                      "property2": "string"                    },                    "property2": {                      "property1": "string",                      "property2": "string"                    }                  },                  "postal_code": "string",                  "region": "string",                  "street": "string"                },                "type": "string",                "valid_from": "string",                "valid_to": "string"              }            ],            "appointed_at": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "id": "string",            "is_pep": true,            "is_sanctioned": true,            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string",            "ownership_pct": 0,            "resigned_at": "string",            "role": "string",            "role_raw": "string",            "tax_id": "string"          }        ],        "sources": [          "string"        ],        "status": "string",        "status_date": "string",        "status_evidence_sources": [          "string"        ],        "status_info": "string",        "summary": "string",        "suspicious_signals": [          "string"        ],        "tax_number": "string",        "trade_name": "string",        "trading_name": "string"      },      "kyb_document_analysis": {        "confidence": 0,        "decision": "string",        "extracted_business_fields": {          "actual_address": "string",          "company_name": "string",          "company_status": "string",          "director_name": "string",          "director_title": "string",          "identifiers": [            "string"          ],          "legal_address": "string",          "matched": [            "string"          ],          "missing": [            "string"          ],          "registration_date": "string",          "registration_number": "string",          "status_date": "string",          "status_info": "string",          "tax_number": "string"        },        "files": [          {            "document_group": "string",            "document_type": "string",            "encrypted": true,            "freshness_status": "string",            "issue_date": "string",            "name": "string",            "ocr_required": true,            "size_bytes": 0,            "text_bytes": 0,            "type": "string"          }        ],        "fraud_signals": [          {            "file": "string",            "type": "string"          }        ],        "reasons": [          "string"        ]      },      "last_session_id": "string",      "last_verified_at": "string",      "latest_flow_name": "string",      "legal_address": "string",      "legal_form": "string",      "liquidation_date": "string",      "litigation": [        {          "amount": 0,          "case_number": "string",          "closed_at": "string",          "court": "string",          "currency": "string",          "filed_at": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "role": "string",          "status": "string",          "subject": "string"        }      ],      "main_url": "string",      "main_url_evidence_sources": [        "string"      ],      "main_url_unavailable_reason_info": "string",      "pep": [        {          "confidence": 0,          "hit_details": {            "additional_information": [              {                "label": "string",                "value": "string"              }            ],            "additional_sanctions": [              "string"            ],            "country": "string",            "crypto_wallets": [              "string"            ],            "delisted_at": "string",            "description": "string",            "education": [              "string"            ],            "email_addresses": [              "string"            ],            "last_updated": "string",            "listed_at": "string",            "notes": "string",            "phone_numbers": [              "string"            ],            "position": "string",            "programs": [              "string"            ],            "remarks": "string",            "risk_categories": [              "string"            ],            "source_links": [              "string"            ],            "source_url": "string",            "websites": [              "string"            ]          },          "list_category": "string",          "list_id": "string",          "list_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "match_fields": [            "string"          ],          "match_strength": "string",          "person": {            "aliases": [              "string"            ],            "birth_place": "string",            "citizenship": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "gender": "string",            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string"          },          "provenance": {            "raw_record": {              "property1": null,              "property2": null            },            "vendor_list_id": "string",            "vendor_match_id": "string",            "vendor_source_id": "string"          }        }      ],      "profile": {        "property1": null,        "property2": null      },      "registration_date": "string",      "registration_number": "string",      "rejection_reasons": [        "string"      ],      "review_correction_at": "string",      "review_requested_at": "string",      "review_requested_by": "string",      "review_risk_reasons": [        "string"      ],      "risk_factors": [        {          "category": "string",          "code": "string",          "description": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "severity": "string",          "weight": 0        }      ],      "risk_level": "string",      "risk_score": 0,      "sanctions": [        {          "confidence": 0,          "hit_details": {            "additional_information": [              {                "label": "string",                "value": "string"              }            ],            "additional_sanctions": [              "string"            ],            "country": "string",            "crypto_wallets": [              "string"            ],            "delisted_at": "string",            "description": "string",            "education": [              "string"            ],            "email_addresses": [              "string"            ],            "last_updated": "string",            "listed_at": "string",            "notes": "string",            "phone_numbers": [              "string"            ],            "position": "string",            "programs": [              "string"            ],            "remarks": "string",            "risk_categories": [              "string"            ],            "source_links": [              "string"            ],            "source_url": "string",            "websites": [              "string"            ]          },          "list_category": "string",          "list_id": "string",          "list_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "match_fields": [            "string"          ],          "match_strength": "string",          "person": {            "aliases": [              "string"            ],            "birth_place": "string",            "citizenship": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "gender": "string",            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string"          },          "provenance": {            "raw_record": {              "property1": null,              "property2": null            },            "vendor_list_id": "string",            "vendor_match_id": "string",            "vendor_source_id": "string"          }        }      ],      "shareholders": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "signatories": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "status_date": "string",      "status_evidence_sources": [        "string"      ],      "status_info": "string",      "tax_number": "string",      "updated_at": "string",      "verification_status": "string"    }  ],  "pagination": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "offset": 0,    "total": 0  },  "success": true}

Get a business by ID

GET
/v1/kyb/businesses/{business_id}

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

business_id*string

Business UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Company details

application/json
  1. response
data?
success?boolean
Example Request
curl -X GET 'https://example.com/tenant/v1/kyb/businesses/string' \  -H 'X-Timestamp: string'
Example Response
{  "data": {    "activities": {      "additional": [        "string"      ],      "main": "string"    },    "activities_evidence_sources": [      "string"    ],    "activities_typed": [      {        "code": "string",        "description": "string",        "is_primary": true,        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "name": "string",        "system": "string"      }    ],    "activities_unavailable_reason_info": "string",    "actual_address": "string",    "additional_url": "string",    "additional_url_evidence_sources": [      "string"    ],    "additional_url_unavailable_reason_info": "string",    "addresses_typed": [      {        "address": {          "city": "string",          "country": "string",          "full_text": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "postal_code": "string",          "region": "string",          "street": "string"        },        "type": "string",        "valid_from": "string",        "valid_to": "string"      }    ],    "adverse_media": [      {        "categories": [          "string"        ],        "language": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "published_at": "string",        "severity": "string",        "source": "string",        "summary": "string",        "title": "string",        "url": "string"      }    ],    "ai_analysis": {      "confidence": 0,      "confirmation_flag": true,      "green_flags": [        "string"      ],      "localized": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "model_version": "string",      "red_flags": [        "string"      ],      "summary": "string"    },    "ai_confirmation_flag": true,    "ai_notes": "string",    "ai_sources": [      "string"    ],    "ai_summary": "string",    "bankruptcy": {      "case_number": "string",      "court": "string",      "is_bankrupt": true,      "localized": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "receiver": "string",      "stage": "string",      "started_at": "string"    },    "beneficiaries": [      {        "country": "string",        "name": "string",        "pep": true,        "share": "string",        "type": "string"      }    ],    "beneficiaries_evidence_sources": [      "string"    ],    "beneficiaries_typed": [      {        "addresses": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "appointed_at": "string",        "date_of_birth": "string",        "documents": [          {            "class": "string",            "country": "string",            "expiration_date": "string",            "issue_date": "string",            "number": "string",            "type": "string"          }        ],        "first_name": "string",        "full_name": "string",        "id": "string",        "is_pep": true,        "is_sanctioned": true,        "last_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "middle_name": "string",        "nationality": "string",        "ownership_pct": 0,        "resigned_at": "string",        "role": "string",        "role_raw": "string",        "tax_id": "string"      }    ],    "beneficiaries_unavailable_reason_info": "string",    "business_document_key": "string",    "business_document_url": "string",    "business_document_url_expires_at": "string",    "company_name": "string",    "company_status": "string",    "country": "string",    "created_at": "string",    "current_review_decision": {      "client_message": "string",      "created_at": "string",      "decision": "string",      "id": "string",      "reason_codes": [        "string"      ],      "scope": "string",      "session_id": "string",      "step_id": "string"    },    "decision": "string",    "director_evidence_sources": [      "string"    ],    "director_name": "string",    "director_title": "string",    "director_unavailable_reason_info": "string",    "directors": [      {        "name": "string",        "title": "string"      }    ],    "directors_typed": [      {        "addresses": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "appointed_at": "string",        "date_of_birth": "string",        "documents": [          {            "class": "string",            "country": "string",            "expiration_date": "string",            "issue_date": "string",            "number": "string",            "type": "string"          }        ],        "first_name": "string",        "full_name": "string",        "id": "string",        "is_pep": true,        "is_sanctioned": true,        "last_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "middle_name": "string",        "nationality": "string",        "ownership_pct": 0,        "resigned_at": "string",        "role": "string",        "role_raw": "string",        "tax_id": "string"      }    ],    "enrichment_errors": [      "string"    ],    "evidence_profile": {      "property1": null,      "property2": null    },    "external_id": "string",    "financials": {      "assets": 0,      "authorized_capital": 0,      "currency": "string",      "employee_count": 0,      "employee_date": "string",      "equity": 0,      "fiscal_year": 0,      "liabilities": 0,      "net_profit": 0,      "report_source": "string",      "revenue": 0    },    "id": "string",    "kyb": {      "activities": [        {          "code": "string",          "description": "string",          "is_primary": true        }      ],      "activities_evidence_sources": [        "string"      ],      "activities_typed": [        {          "code": "string",          "description": "string",          "is_primary": true,          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "name": "string",          "system": "string"        }      ],      "activities_unavailable_reason_info": "string",      "actual_address": "string",      "additional_url": "string",      "additional_url_evidence_sources": [        "string"      ],      "additional_url_unavailable_reason_info": "string",      "addresses_typed": [        {          "address": {            "city": "string",            "country": "string",            "full_text": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "postal_code": "string",            "region": "string",            "street": "string"          },          "type": "string",          "valid_from": "string",          "valid_to": "string"        }      ],      "adverse_media": [        {          "categories": [            "string"          ],          "language": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "published_at": "string",          "severity": "string",          "source": "string",          "summary": "string",          "title": "string",          "url": "string"        }      ],      "ai_analysis": {        "confidence": 0,        "confirmation_flag": true,        "green_flags": [          "string"        ],        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "model_version": "string",        "red_flags": [          "string"        ],        "summary": "string"      },      "bankruptcy": {        "case_number": "string",        "court": "string",        "is_bankrupt": true,        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "receiver": "string",        "stage": "string",        "started_at": "string"      },      "beneficiaries": [        {          "is_director": true,          "name": "string",          "ownership": 0        }      ],      "beneficiaries_evidence_sources": [        "string"      ],      "beneficiaries_typed": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "beneficiaries_unavailable_reason_info": "string",      "company_aliases": [        "string"      ],      "company_code": "string",      "company_name": "string",      "confirmation_flag": true,      "confirmation_tier": "string",      "consulted_sources": [        "string"      ],      "country": "string",      "decision": "string",      "decision_reason": "string",      "director_evidence_sources": [        "string"      ],      "director_name": "string",      "director_title": "string",      "director_unavailable_reason_info": "string",      "directors_typed": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "field_evidence": [        {          "confidence": 0,          "declared_value": "string",          "document_source": "string",          "document_value": "string",          "field": "string",          "match_status": "string",          "provider": "string",          "provider_value": "string",          "reason_code": "string",          "severity": "string"        }      ],      "financials": {        "assets": 0,        "authorized_capital": 0,        "currency": "string",        "employee_count": 0,        "employee_date": "string",        "equity": 0,        "fiscal_year": 0,        "liabilities": 0,        "net_profit": 0,        "report_source": "string",        "revenue": 0      },      "incorporation_country": "string",      "incorporation_date": "string",      "legal_address": "string",      "legal_form": "string",      "legal_form_raw": "string",      "lei": "string",      "liquidation_date": "string",      "litigation": [        {          "amount": 0,          "case_number": "string",          "closed_at": "string",          "court": "string",          "currency": "string",          "filed_at": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "role": "string",          "status": "string",          "subject": "string"        }      ],      "localized": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "lookup_coverage_tier": "string",      "lookup_next_actions": [        {          "action": "string",          "detail": "string",          "identifiers": [            "string"          ],          "label": "string",          "provider": "string",          "url": "string"        }      ],      "lookup_outcome": {        "auto_approval_eligible": true,        "coverage_tier": "string",        "decision_bias": "string",        "next_actions": [          {            "action": "string",            "detail": "string",            "identifiers": [              "string"            ],            "label": "string",            "provider": "string",            "url": "string"          }        ],        "official_source_count": 0,        "provider_statuses": [          {            "detail": "string",            "provider": "string",            "status": "string"          }        ],        "reason": "string",        "registry_authority_hint": [          "string"        ],        "requires_manual_review": true,        "secondary_source_count": 0      },      "lookup_outcome_reason": "string",      "main_url": "string",      "main_url_evidence_sources": [        "string"      ],      "main_url_unavailable_reason_info": "string",      "notes": "string",      "pep": [        {          "confidence": 0,          "hit_details": {            "additional_information": [              {                "label": "string",                "value": "string"              }            ],            "additional_sanctions": [              "string"            ],            "country": "string",            "crypto_wallets": [              "string"            ],            "delisted_at": "string",            "description": "string",            "education": [              "string"            ],            "email_addresses": [              "string"            ],            "last_updated": "string",            "listed_at": "string",            "notes": "string",            "phone_numbers": [              "string"            ],            "position": "string",            "programs": [              "string"            ],            "remarks": "string",            "risk_categories": [              "string"            ],            "source_links": [              "string"            ],            "source_url": "string",            "websites": [              "string"            ]          },          "list_category": "string",          "list_id": "string",          "list_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "match_fields": [            "string"          ],          "match_strength": "string",          "person": {            "aliases": [              "string"            ],            "birth_place": "string",            "citizenship": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "gender": "string",            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string"          },          "provenance": {            "raw_record": {              "property1": null,              "property2": null            },            "vendor_list_id": "string",            "vendor_match_id": "string",            "vendor_source_id": "string"          }        }      ],      "proprietor_name": "string",      "provider_metadata": {        "duration_ms": 0,        "evidence_reuse": {          "execution_id": "string",          "reason": "string",          "recovery_audit_id": "string",          "source_attempt_number": 0,          "source_execution_id": "string",          "source_verification_id": "string"        },        "name": "string",        "raw": {          "property1": null,          "property2": null        },        "raw_response_key": "string",        "received_at": "string",        "request_id": "string",        "version": "string"      },      "provider_statuses": [        {          "detail": "string",          "provider": "string",          "retrieved_at": "string",          "status": "string"        }      ],      "reconciliation_decision": "string",      "reconciliation_reason_codes": [        "string"      ],      "registration_date": "string",      "registration_number": "string",      "registry_facts": [        {          "company_aliases": [            "string"          ],          "company_name": "string",          "confidence": 0,          "country": "string",          "director_names": [            "string"          ],          "incorporation_date": "string",          "legal_address": "string",          "lei": "string",          "provider": "string",          "registration_date": "string",          "registration_number": "string",          "source_retrieved_at": "string",          "source_url": "string",          "status": "string",          "tax_number": "string",          "website": "string"        }      ],      "risk_factors": [        {          "category": "string",          "code": "string",          "description": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "severity": "string",          "weight": 0        }      ],      "risk_level": "string",      "risk_score": 0,      "sanctions": [        {          "confidence": 0,          "hit_details": {            "additional_information": [              {                "label": "string",                "value": "string"              }            ],            "additional_sanctions": [              "string"            ],            "country": "string",            "crypto_wallets": [              "string"            ],            "delisted_at": "string",            "description": "string",            "education": [              "string"            ],            "email_addresses": [              "string"            ],            "last_updated": "string",            "listed_at": "string",            "notes": "string",            "phone_numbers": [              "string"            ],            "position": "string",            "programs": [              "string"            ],            "remarks": "string",            "risk_categories": [              "string"            ],            "source_links": [              "string"            ],            "source_url": "string",            "websites": [              "string"            ]          },          "list_category": "string",          "list_id": "string",          "list_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "match_fields": [            "string"          ],          "match_strength": "string",          "person": {            "aliases": [              "string"            ],            "birth_place": "string",            "citizenship": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "gender": "string",            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string"          },          "provenance": {            "raw_record": {              "property1": null,              "property2": null            },            "vendor_list_id": "string",            "vendor_match_id": "string",            "vendor_source_id": "string"          }        }      ],      "shareholders": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "signatories": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "sources": [        "string"      ],      "status": "string",      "status_date": "string",      "status_evidence_sources": [        "string"      ],      "status_info": "string",      "summary": "string",      "suspicious_signals": [        "string"      ],      "tax_number": "string",      "trade_name": "string",      "trading_name": "string"    },    "kyb_document_analysis": {      "confidence": 0,      "decision": "string",      "extracted_business_fields": {        "actual_address": "string",        "company_name": "string",        "company_status": "string",        "director_name": "string",        "director_title": "string",        "identifiers": [          "string"        ],        "legal_address": "string",        "matched": [          "string"        ],        "missing": [          "string"        ],        "registration_date": "string",        "registration_number": "string",        "status_date": "string",        "status_info": "string",        "tax_number": "string"      },      "files": [        {          "document_group": "string",          "document_type": "string",          "encrypted": true,          "freshness_status": "string",          "issue_date": "string",          "name": "string",          "ocr_required": true,          "size_bytes": 0,          "text_bytes": 0,          "type": "string"        }      ],      "fraud_signals": [        {          "file": "string",          "type": "string"        }      ],      "reasons": [        "string"      ]    },    "last_session_id": "string",    "last_verified_at": "string",    "latest_flow_name": "string",    "legal_address": "string",    "legal_form": "string",    "liquidation_date": "string",    "litigation": [      {        "amount": 0,        "case_number": "string",        "closed_at": "string",        "court": "string",        "currency": "string",        "filed_at": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "role": "string",        "status": "string",        "subject": "string"      }    ],    "main_url": "string",    "main_url_evidence_sources": [      "string"    ],    "main_url_unavailable_reason_info": "string",    "pep": [      {        "confidence": 0,        "hit_details": {          "additional_information": [            {              "label": "string",              "value": "string"            }          ],          "additional_sanctions": [            "string"          ],          "country": "string",          "crypto_wallets": [            "string"          ],          "delisted_at": "string",          "description": "string",          "education": [            "string"          ],          "email_addresses": [            "string"          ],          "last_updated": "string",          "listed_at": "string",          "notes": "string",          "phone_numbers": [            "string"          ],          "position": "string",          "programs": [            "string"          ],          "remarks": "string",          "risk_categories": [            "string"          ],          "source_links": [            "string"          ],          "source_url": "string",          "websites": [            "string"          ]        },        "list_category": "string",        "list_id": "string",        "list_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "match_fields": [          "string"        ],        "match_strength": "string",        "person": {          "aliases": [            "string"          ],          "birth_place": "string",          "citizenship": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "gender": "string",          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string"        },        "provenance": {          "raw_record": {            "property1": null,            "property2": null          },          "vendor_list_id": "string",          "vendor_match_id": "string",          "vendor_source_id": "string"        }      }    ],    "profile": {      "property1": null,      "property2": null    },    "registration_date": "string",    "registration_number": "string",    "rejection_reasons": [      "string"    ],    "review_correction_at": "string",    "review_requested_at": "string",    "review_requested_by": "string",    "review_risk_reasons": [      "string"    ],    "risk_factors": [      {        "category": "string",        "code": "string",        "description": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "severity": "string",        "weight": 0      }    ],    "risk_level": "string",    "risk_score": 0,    "sanctions": [      {        "confidence": 0,        "hit_details": {          "additional_information": [            {              "label": "string",              "value": "string"            }          ],          "additional_sanctions": [            "string"          ],          "country": "string",          "crypto_wallets": [            "string"          ],          "delisted_at": "string",          "description": "string",          "education": [            "string"          ],          "email_addresses": [            "string"          ],          "last_updated": "string",          "listed_at": "string",          "notes": "string",          "phone_numbers": [            "string"          ],          "position": "string",          "programs": [            "string"          ],          "remarks": "string",          "risk_categories": [            "string"          ],          "source_links": [            "string"          ],          "source_url": "string",          "websites": [            "string"          ]        },        "list_category": "string",        "list_id": "string",        "list_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "match_fields": [          "string"        ],        "match_strength": "string",        "person": {          "aliases": [            "string"          ],          "birth_place": "string",          "citizenship": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "gender": "string",          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string"        },        "provenance": {          "raw_record": {            "property1": null,            "property2": null          },          "vendor_list_id": "string",          "vendor_match_id": "string",          "vendor_source_id": "string"        }      }    ],    "shareholders": [      {        "addresses": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "appointed_at": "string",        "date_of_birth": "string",        "documents": [          {            "class": "string",            "country": "string",            "expiration_date": "string",            "issue_date": "string",            "number": "string",            "type": "string"          }        ],        "first_name": "string",        "full_name": "string",        "id": "string",        "is_pep": true,        "is_sanctioned": true,        "last_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "middle_name": "string",        "nationality": "string",        "ownership_pct": 0,        "resigned_at": "string",        "role": "string",        "role_raw": "string",        "tax_id": "string"      }    ],    "signatories": [      {        "addresses": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "appointed_at": "string",        "date_of_birth": "string",        "documents": [          {            "class": "string",            "country": "string",            "expiration_date": "string",            "issue_date": "string",            "number": "string",            "type": "string"          }        ],        "first_name": "string",        "full_name": "string",        "id": "string",        "is_pep": true,        "is_sanctioned": true,        "last_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "middle_name": "string",        "nationality": "string",        "ownership_pct": 0,        "resigned_at": "string",        "role": "string",        "role_raw": "string",        "tax_id": "string"      }    ],    "status_date": "string",    "status_evidence_sources": [      "string"    ],    "status_info": "string",    "tax_number": "string",    "updated_at": "string",    "verification_status": "string"  },  "success": true}

Get a business by external ID

Looks up the business by your system identifier (external_id) supplied when the verification link was created.

GET
/v1/kyb/businesses/external/{external_id}

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

external_id*string

Your external company/user ID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Company details

application/json
  1. response
data?
success?boolean
Example Request
curl -X GET 'https://example.com/tenant/v1/kyb/businesses/external/string' \  -H 'X-Timestamp: string'
Example Response
{  "data": {    "activities": {      "additional": [        "string"      ],      "main": "string"    },    "activities_evidence_sources": [      "string"    ],    "activities_typed": [      {        "code": "string",        "description": "string",        "is_primary": true,        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "name": "string",        "system": "string"      }    ],    "activities_unavailable_reason_info": "string",    "actual_address": "string",    "additional_url": "string",    "additional_url_evidence_sources": [      "string"    ],    "additional_url_unavailable_reason_info": "string",    "addresses_typed": [      {        "address": {          "city": "string",          "country": "string",          "full_text": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "postal_code": "string",          "region": "string",          "street": "string"        },        "type": "string",        "valid_from": "string",        "valid_to": "string"      }    ],    "adverse_media": [      {        "categories": [          "string"        ],        "language": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "published_at": "string",        "severity": "string",        "source": "string",        "summary": "string",        "title": "string",        "url": "string"      }    ],    "ai_analysis": {      "confidence": 0,      "confirmation_flag": true,      "green_flags": [        "string"      ],      "localized": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "model_version": "string",      "red_flags": [        "string"      ],      "summary": "string"    },    "ai_confirmation_flag": true,    "ai_notes": "string",    "ai_sources": [      "string"    ],    "ai_summary": "string",    "bankruptcy": {      "case_number": "string",      "court": "string",      "is_bankrupt": true,      "localized": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "receiver": "string",      "stage": "string",      "started_at": "string"    },    "beneficiaries": [      {        "country": "string",        "name": "string",        "pep": true,        "share": "string",        "type": "string"      }    ],    "beneficiaries_evidence_sources": [      "string"    ],    "beneficiaries_typed": [      {        "addresses": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "appointed_at": "string",        "date_of_birth": "string",        "documents": [          {            "class": "string",            "country": "string",            "expiration_date": "string",            "issue_date": "string",            "number": "string",            "type": "string"          }        ],        "first_name": "string",        "full_name": "string",        "id": "string",        "is_pep": true,        "is_sanctioned": true,        "last_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "middle_name": "string",        "nationality": "string",        "ownership_pct": 0,        "resigned_at": "string",        "role": "string",        "role_raw": "string",        "tax_id": "string"      }    ],    "beneficiaries_unavailable_reason_info": "string",    "business_document_key": "string",    "business_document_url": "string",    "business_document_url_expires_at": "string",    "company_name": "string",    "company_status": "string",    "country": "string",    "created_at": "string",    "current_review_decision": {      "client_message": "string",      "created_at": "string",      "decision": "string",      "id": "string",      "reason_codes": [        "string"      ],      "scope": "string",      "session_id": "string",      "step_id": "string"    },    "decision": "string",    "director_evidence_sources": [      "string"    ],    "director_name": "string",    "director_title": "string",    "director_unavailable_reason_info": "string",    "directors": [      {        "name": "string",        "title": "string"      }    ],    "directors_typed": [      {        "addresses": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "appointed_at": "string",        "date_of_birth": "string",        "documents": [          {            "class": "string",            "country": "string",            "expiration_date": "string",            "issue_date": "string",            "number": "string",            "type": "string"          }        ],        "first_name": "string",        "full_name": "string",        "id": "string",        "is_pep": true,        "is_sanctioned": true,        "last_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "middle_name": "string",        "nationality": "string",        "ownership_pct": 0,        "resigned_at": "string",        "role": "string",        "role_raw": "string",        "tax_id": "string"      }    ],    "enrichment_errors": [      "string"    ],    "evidence_profile": {      "property1": null,      "property2": null    },    "external_id": "string",    "financials": {      "assets": 0,      "authorized_capital": 0,      "currency": "string",      "employee_count": 0,      "employee_date": "string",      "equity": 0,      "fiscal_year": 0,      "liabilities": 0,      "net_profit": 0,      "report_source": "string",      "revenue": 0    },    "id": "string",    "kyb": {      "activities": [        {          "code": "string",          "description": "string",          "is_primary": true        }      ],      "activities_evidence_sources": [        "string"      ],      "activities_typed": [        {          "code": "string",          "description": "string",          "is_primary": true,          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "name": "string",          "system": "string"        }      ],      "activities_unavailable_reason_info": "string",      "actual_address": "string",      "additional_url": "string",      "additional_url_evidence_sources": [        "string"      ],      "additional_url_unavailable_reason_info": "string",      "addresses_typed": [        {          "address": {            "city": "string",            "country": "string",            "full_text": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "postal_code": "string",            "region": "string",            "street": "string"          },          "type": "string",          "valid_from": "string",          "valid_to": "string"        }      ],      "adverse_media": [        {          "categories": [            "string"          ],          "language": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "published_at": "string",          "severity": "string",          "source": "string",          "summary": "string",          "title": "string",          "url": "string"        }      ],      "ai_analysis": {        "confidence": 0,        "confirmation_flag": true,        "green_flags": [          "string"        ],        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "model_version": "string",        "red_flags": [          "string"        ],        "summary": "string"      },      "bankruptcy": {        "case_number": "string",        "court": "string",        "is_bankrupt": true,        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "receiver": "string",        "stage": "string",        "started_at": "string"      },      "beneficiaries": [        {          "is_director": true,          "name": "string",          "ownership": 0        }      ],      "beneficiaries_evidence_sources": [        "string"      ],      "beneficiaries_typed": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",     
[...]
